Bug 331351 - evince fails to render some Chinese text
evince fails to render some Chinese text
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-14 10:14 EDT by Sam Varshavchik
Modified: 2008-06-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Chinese PDF file (640.45 KB, application/octet-stream)
2007-10-14 10:14 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2007-10-14 10:14:02 EDT
Description of problem:

Evince does not show Chinese text on the first page of the following PDF.
Chinese text on the second page is rendered properly.

xpdf shows Chinese text on both pages.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Open the following PDF file in evince
Actual results:

The first page is mostly blank.

Expected results:

The same text as displayed by xpdf, for the same file.

Additional info:
Comment 1 Sam Varshavchik 2007-10-14 10:14:02 EDT
Created attachment 226661 [details]
Chinese PDF file
Comment 2 Ignacio Vazquez-Abrams 2007-10-14 11:02:42 EDT
There is some text there (a title above the box, "76" in the top-right corner,
and text bulleted 1 through 5), but it looks white-on-white. It becomes visible
when selected.
Comment 3 Juha Leppänen 2008-02-14 21:11:50 EST
Still evince-0.8.2-1.fc7 but due to some other package upgrade (poppler?/other?)
the PDF file attached by Sam seems now OK with evince. I noticed this improvement
when checking a PDF file I had (Handan digital Receiver/Video Recorder Specs)
that had the same problem before (lots of finnish text did not show, showed only
when selected) but now OK.

Only thing I noticed about Sams Chinese text PDF was that on the last page
where there are the folding instructions with four pictures, there is
'small text' visible when all text is selected on the second picture
(Address of Recipient?), but not visible when all text is not selected.
The little bigger text in picture 1 starts with:
         New Jersey
        Voter Registration Application
You can register to vote if:
I guess this text in picture 2 is so small that it is not supposed
to show anyway?
Tested with 400% magnification. Same result with xpdf.
Comment 4 Bug Zapper 2008-05-14 10:44:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:39:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.